// http://ionicframework.com/docs/theming/

// App Global Sass
// --------------------------------------------------
// Put style rules here that you want to apply globally. These
// styles are for the entire app and not just one component.
// Additionally, this file can be also used as an entry point
// to import other Sass files to be included in the output CSS.
//
// Shared Sass variables, which can be used to adjust Ionic's
// default Sass variables, belong in "theme/variables.scss".
//
// To declare rules for a specific mode, create a child rule
// for the .md, .ios, or .wp mode classes. The mode class is
// automatically applied to the <body> element in the app.
ion-menu {
    ion-header {
        padding: 30px 15px;
        .user-header {
            .logo {
                display: inline-block;
                width: 65px;
                height: 65px;
                background-color: #ffffff;
                border-radius: 50%;
                padding: 16px;
                @extend .bg-style;
            }
            .info-user {
                display: inline-block;
                width: calc(100% - 100px - 4px);
                padding-left: 10px;
                vertical-align: top;
                p {
                    margin: 0px;
                    line-height: 1.5;
                    font-size: 1.3rem;
                    color: $color-03002c;
                    &.name {
                        font-family: HelveticaNeue_Bold;
                        font-size: 1.6rem;
                    }
                    &.type {
                        font-family: HelveticaNeue_Bold;
                        color: $color-ffbe31;
                        span {
                            color: $color-03002c;
                            opacity: 0.5;
                            font-family: HelveticaNeue;
                        }
                    }
                    &.score {
                        color: $color-03002c;
                        opacity: 0.5;
                        font-family: HelveticaNeue;
                    }
                }
            }
        }
    }
    ion-content {
        ion-list {
            button {
                //color:$color-4d606f !important;
                vertical-align: middle;
                border: 0px !important;
                margin-top: 12px !important;
                color: $color-03002c !important;
                opacity: 0.5 !important;
                font-size: 1.5rem !important;
                .item-inner {
                    border: 0px !important;
                    background: transparent !important;
                }
            }
        }
    }
    ion-footer {
        &:before {
            height: 0px !important;
        }
        ion-toolbar {
            .toolbar-background {
                background: transparent !important;
                border: 0px !important;
            }
            text-align: center !important;
            .languages {
                margin-bottom: 15px;
                p {
                    color: $color-cb2033;
                    letter-spacing: 1px;
                }
                button {
                    background: transparent !important;
                    color: $color-cb2033 !important;
                    font-size: 1.6rem !important;
                    margin: 0px !important;
                    padding: 0px 10px !important;
                    &.active {
                        font-family: HelveticaNeue_Bold !important;
                    }
                    &:first-child {
                        padding-right: 14px !important;
                        border-right: 1px solid $color-cb2033 !important;
                    }
                }
            }
            button {
                &.logout {
                    font-size: 1.1rem !important;
                    text-transform: uppercase !important;
                }
            }
        }
    }
}

body {
    padding-top: constant(safe-area-inset-top);
    padding-top: env(safe-area-inset-top);

    padding-bottom: constant(safe-area-inset-bottom);
    padding-bottom: env(safe-area-inset-bottom);

    margin-bottom: constant(safe-area-inset-bottom);
    margin-bottom: env(safe-area-inset-bottom);
}

ion-content {
    padding-top: constant(safe-area-inset-top);
    padding-top: env(safe-area-inset-top);

    padding-bottom: constant(safe-area-inset-bottom);
    padding-bottom: env(safe-area-inset-bottom);

    margin-bottom: constant(safe-area-inset-bottom);
    margin-bottom: env(safe-area-inset-bottom);
}

.toolbar-footer {
    margin-bottom: constant(safe-area-inset-bottom);
    margin-bottom: env(safe-area-inset-bottom);

    padding-bottom: constant(safe-area-inset-bottom);
    padding-bottom: env(safe-area-inset-bottom);
}

.ios ion-menu > .menu-inner > ion-header {
    padding-top: constant(safe-area-inset-top);
    padding-top: env(safe-area-inset-top);
}

.tabbar {
    //padding-bottom: 0 !important;
}

.tabs-ios .tab-button-text {
    font-size: 1.6rem;
}

.ios ion-nav > .ion-page > .toolbar.statusbar-padding:first-child,
.ios ion-nav > .ion-page > ion-header > .toolbar.statusbar-padding:first-child,
.ios ion-tab > .ion-page > .toolbar.statusbar-padding:first-child,
.ios ion-tab > .ion-page > ion-header > .toolbar.statusbar-padding:first-child,
.ios ion-tabs > .ion-page.tab-subpage > ion-header > .toolbar.statusbar-padding:first-child,
.ios ion-menu > .menu-inner > .toolbar.statusbar-padding:first-child,
.ios ion-menu > .menu-inner > ion-header > .toolbar.statusbar-padding:first-child {
    padding-top: calc(env(safe-area-inset-top) + 10px);
    padding-top: calc(constant(safe-area-inset-top) + 10px);
}

.ios ion-nav > .ion-page > .toolbar.statusbar-padding:first-child ion-segment,
.ios ion-nav > .ion-page > .toolbar.statusbar-padding:first-child ion-title,
.ios ion-nav > .ion-page > ion-header > .toolbar.statusbar-padding:first-child ion-segment,
.ios ion-nav > .ion-page > ion-header > .toolbar.statusbar-padding:first-child ion-title,
.ios ion-tab > .ion-page > .toolbar.statusbar-padding:first-child ion-segment,
.ios ion-tab > .ion-page > .toolbar.statusbar-padding:first-child ion-title,
.ios ion-tab > .ion-page > ion-header > .toolbar.statusbar-padding:first-child ion-segment,
.ios ion-tab > .ion-page > ion-header > .toolbar.statusbar-padding:first-child ion-title,
.ios ion-tabs > .ion-page.tab-subpage > ion-header > .toolbar.statusbar-padding:first-child ion-segment,
.ios ion-tabs > .ion-page.tab-subpage > ion-header > .toolbar.statusbar-padding:first-child ion-title,
.ios ion-menu > .menu-inner > .toolbar.statusbar-padding:first-child ion-segment,
.ios ion-menu > .menu-inner > .toolbar.statusbar-padding:first-child ion-title,
.ios ion-menu > .menu-inner > ion-header > .toolbar.statusbar-padding:first-child ion-segment,
.ios ion-menu > .menu-inner > ion-header > .toolbar.statusbar-padding:first-child ion-title {
    padding-top: calc(5px + env(safe-area-inset-top));
    padding-top: calc(5px + constant(safe-area-inset-top));
}

.ios .tabs:not(.tabs-ios[tabsPlacement=top]) .tabbar {
    //padding-bottom: 0 !important;
}
